#import "RootViewController.h"

@implementation RootViewController

@synthesize booksArray;

- (void)viewDidLoad { 
    [super viewDidLoad]; 
    self.booksArray = [NSArray arrayWithObjects:@"David",@"Harald",@"Philipp",@"Atlas Shrugged",@"The Great Gatsby",@"The Art of War",@"The Catcher in the Rye",@"The Picture of Dorian Gray",@"The Grapes of Wrath", @"The Metamorphosis",nil]; 
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section { 
    return self.booksArray.count; 
}

// Customize the appearance of table view cells. 
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath { 
    static NSString *CellIdentifier = @"Cell"; 
 
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier]; 
    if (cell == nil) { 
      cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:CellIdentifier] autorelease]; 
    } 
 
    // Configure the cell. 
   UIImage *origImage = [UIImage imageNamed:@"icon.png"];
    cell.imageView.image = [UIImage imageWithCGImage:[origImage CGImage] scale:2.0 orientation:UIImageOrientationUp];
    cell.textLabel.text = [self.booksArray objectAtIndex:indexPath.row]; 
    cell.detailTextLabel.text = @"Untertitel";
    return cell; 
}

@end
